Skip to main content
PATCH
/
v1
/
admin
/
legal
/
policies
/
rules
/
{ruleId}
Update a policy rule
curl --request PATCH \
  --url https://{operatorDomain}/v1/admin/legal/policies/rules/{ruleId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "policyVersionId": "<string>",
  "daysBeforeDeparture": 30,
  "penaltyBasisPoints": 5000
}
'
{
  "data": {
    "id": "<string>",
    "policyVersionId": "<string>",
    "daysBeforeDeparture": 30,
    "penaltyBasisPoints": 5000
  }
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Path Parameters

ruleId
string
required

Body

application/json
id
string
required
policyVersionId
string
required
daysBeforeDeparture
integer | null
Example:

30

penaltyBasisPoints
integer | null
Example:

5000

Response

200 - application/json

Updated rule

data
object